# rhue

Phillips hue library for rust.

```rust
let bridge = Bridge::new("username", Url::parse("http://192.168.2.123"));

let lights = bridge.get_lights().await?;

for (id, _) in lights {
    bridge.update_light(
        id,
        StateUpdate { on: Some(true), ..Default::default() }
    ).await?;
}
```

## features
- registration
- bridge discovery
- light requesting & control
- group requesting & control
- async/await support
- miette diagnostic support
